#include <bits/stdc++.h>
#define pb push_back
#define ll long long
#define FOR(n) for(int i = 0; i < n; i++)
#define fi first
#define se second
#define pii pair<int,int>
#define pll pair<long long, long long>
#define pdd pair<double,double>
#define pid pair<int,double>
#define C const int
using namespace std;

bool cmp(pid x, pid y){
    return x.se < y.se;
}

double money(int n, vector<pid> a, double tax){
    double mny = 0;
    FOR(n){
        if(tax <= a[i].se) mny += a[i].fi*tax/100;
    }
    return mny;
}

int main()
{
	ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0);

    int n; cin >> n;
    vector<pid> a(n);
    FOR(n) cin >> a[i].fi >> a[i].se;

    sort(a.begin(),a.end(),cmp);

    double ans = money(n,a,a[0].se);
    int l = 0, r = n - 1;
    while(l<=r){
        int mid = (l+r)/2;
        double pare = money(n,a,a[mid].se);
        if(pare > ans){
            ans = pare;
            l = mid + 1;
        }
        else r = mid - 1;
    }
    cout << fixed << setprecision(4) << ans;

}